const express = require("express");
const router = express.Router();
var auth = require("../controllers/auth.contoller")
var staffAuthMiddleware = require("../middleware/staffAuth.middleware.js")
var studentAuthMiddleware = require("../middleware/staffAuth.middleware.js")

router.post('/login', auth.Login);
router.get('/logout', studentAuthMiddleware, auth.Logout);
router.get('/staff-logout', staffAuthMiddleware, auth.Logout);
router.get("/forget-password", auth.ForgetPassword )
router.get("/get-started",studentAuthMiddleware, auth.firstLogin );
router.get("/new-record",studentAuthMiddleware, auth.newStudent );

module.exports = router;
 